Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361845 - Require ovirt-imageio-proxy
Summary: Require ovirt-imageio-proxy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Packaging.rpm
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2.4
Assignee: Amit Aviram
QA Contact: Natalie Gavrielov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 08:02 UTC by Amit Aviram
Modified: 2017-05-11 09:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:22:21 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.z+
rule-engine: blocker+
rule-engine: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61726 master MERGED spec: Require ovirt-imageio-proxy 2016-08-01 15:36:57 UTC
oVirt gerrit 61784 ovirt-engine-4.0 MERGED spec: Require ovirt-imageio-proxy 2016-08-02 06:53:43 UTC
oVirt gerrit 61785 ovirt-engine-4.0.2 MERGED spec: Require ovirt-imageio-proxy 2016-08-02 06:54:00 UTC

Description Amit Aviram 2016-07-31 08:02:14 UTC
Description of problem:
Currently, for being able to upload images in ovirt, the user must manually install ovirt-imageio-proxy and run engine setup. This is not intuitive action to perform for a basic feature, and needs to be integrated in the engine's installation.

Steps to Reproduce:
1. Install ovirt-engine
2. Run setup

Actual results:
The option for installing ovirt-imageio-proxy is absent from the setup process.

Expected results:
Needs to be there, and after the installation the user should be able to upload images without any further action.

Comment 1 Amit Aviram 2016-07-31 08:05:03 UTC
Sandro, your opinion on this?

Comment 2 Yedidyah Bar David 2016-07-31 08:44:29 UTC
(In reply to Amit Aviram from comment #1)
> Sandro, your opinion on this?

I personally think such functionality should not be mandatory. If it's packaged and designed to be optional, why bother every user out there with more packages, configuration, etc.? See also bug 1084489. Consider e.g. users that do not use ISOs - only install machines from templates, glance, PXE etc.

That said, one might claim that not requiring this is a regression, as currently the command line iso uploader is required by the engine, and should be obsoleted by the new uploader. So I do not object. Keeping needinfo on Sandro so he will comment too.

To help decide, and for completeness, please provide output of 'yum install ovirt-imageio-proxy' on an existing clean engine machine (which never had the proxy) so we can see which extra packages will be added and how much space will be needed. Thanks.

Comment 3 Sandro Bonazzola 2016-08-01 10:53:51 UTC
Nothing against adding the dependency if it has been decided to provide the image uploader proxy by default. If this bz gets planning ack I'm fine with merging.
If we go this way, for 4.1 you may consider dropping requirement on iso-uploader and image-uploader which are deprecated in 4.0 and supposed to be dropped in 4.1.

Comment 4 Amit Aviram 2016-08-01 12:50:30 UTC
Dependencies Resolved

============================================================================================================================================================================================================================================
 Package                                                  Arch                                  Version                                                                    Repository                                                  Size
============================================================================================================================================================================================================================================
Installing:
 ovirt-imageio-proxy                                      noarch                                0.3.0-0.201607260726.git4faf259.el7.centos                                 ovirt-master-snapshot                                       39 k
Installing for dependencies:
 ovirt-imageio-common                                     noarch                                0.3.0-1.el7                                                                centos-ovirt40-candidate                                    22 k
 ovirt-imageio-proxy-setup                                noarch                                0.3.0-0.201607260726.git4faf259.el7.centos                                 ovirt-master-snapshot                                       23 k
 python-requests                                          noarch                                2.6.0-1.el7_1                                                              rhel-7-server-rpms                                          93 k
 python-urllib3                                           noarch                                1.10.2-2.el7_1                                                             rhel-7-server-rpms                                         100 k
 python-webob                                             noarch                                1.2.3-6.el7                                                                rhel-7-server-optional-rpms                                202 k
 systemd-python                                           x86_64                                219-19.el7_2.11                                                            rhel-7-server-rpms                                          99 k

Transaction Summary
============================================================================================================================================================================================================================================
Install  1 Package (+6 Dependent packages)

Total download size: 577 k
Installed size: 2.0 M

Comment 5 Yedidyah Bar David 2016-08-01 13:06:43 UTC
Fine with me. Thanks for the info.

Comment 6 Allon Mureinik 2016-08-01 15:40:23 UTC
Aharon/Gil - can you help with qa-ack here please?

Comment 7 Natalie Gavrielov 2016-08-07 15:44:30 UTC
Verified,
rhevm-4.0.2.4-0.1.el7ev.noarch
ovirt-imageio-proxy-0.3.0-0.el7ev.noarch
ovirt-imageio-common-0.3.0-0.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.